Bug 1418872 (libyui-mga-ncurses) - Review Request: libyui-mga-ncurses - Libyui-Ncurses extensions for Mageia tools
Summary: Review Request: libyui-mga-ncurses - Libyui-Ncurses extensions for Mageia tools
Keywords:
Status: CLOSED ERRATA
Alias: libyui-mga-ncurses
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christian Dersch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: libyui-mga
Blocks: dnfdragora
TreeView+ depends on / blocked
 
Reported: 2017-02-03 00:00 UTC by Björn 'besser82' Esser
Modified: 2017-04-15 22:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-15 22:48:40 UTC
Type: ---
lupinix.fedora: fedora-review+


Attachments (Terms of Use)

Description Björn 'besser82' Esser 2017-02-03 00:00:21 UTC
Description:

  This package contains the Libyui-Ncurses extensions for Mageia tools.


Koji Build:

  https://koji.fedoraproject.org/koji/taskinfo?taskID=17556930


Issues:

  No known issues.  Some minor complains from rpmlint.


FAS-User:

  besser82


Urls:

  Spec URL:  https://besser82.fedorapeople.org/review/libyui-mga-ncurses.spec
  SRPM URL:  https://besser82.fedorapeople.org/review/libyui-mga-ncurses-1.0.2-0.1.git026f2e6.20131215.fc26.src.rpm


Thanks for review in advance!

Comment 1 Christian Dersch 2017-02-03 09:42:54 UTC
Reviewing

Comment 2 Christian Dersch 2017-02-03 09:50:20 UTC
Approved!


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* LGPL (v2.1 or v3.0)". 4
     files have unknown license. Detailed output of licensecheck in
     /home/review/1418872-libyui-mga-ncurses/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[-]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib64/cmake(qt5-qtbase)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in libyui-
     mga-ncurses-doc , libyui-mga-ncurses-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: libyui-mga-ncurses-1.0.2-0.1.git026f2e6.20131215.fc26.x86_64.rpm
          libyui-mga-ncurses-devel-1.0.2-0.1.git026f2e6.20131215.fc26.x86_64.rpm
          libyui-mga-ncurses-doc-1.0.2-0.1.git026f2e6.20131215.fc26.noarch.rpm
          libyui-mga-ncurses-debuginfo-1.0.2-0.1.git026f2e6.20131215.fc26.x86_64.rpm
          libyui-mga-ncurses-1.0.2-0.1.git026f2e6.20131215.fc26.src.rpm
libyui-mga-ncurses.x86_64: W: no-documentation
libyui-mga-ncurses-devel.x86_64: W: only-non-binary-in-usr-lib
libyui-mga-ncurses-devel.x86_64: E: zero-length /usr/share/doc/libyui-mga-ncurses/ChangeLog
libyui-mga-ncurses-doc.noarch: E: zero-length /usr/share/doc/libyui-mga-ncurses/ChangeLog
5 packages and 0 specfiles checked; 2 errors, 2 warnings.




Rpmlint (debuginfo)
-------------------
Checking: libyui-mga-ncurses-debuginfo-1.0.2-0.1.git026f2e6.20131215.fc26.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
libyui-mga-ncurses.x86_64: W: no-documentation
libyui-mga-ncurses-devel.x86_64: W: only-non-binary-in-usr-lib
libyui-mga-ncurses-devel.x86_64: E: zero-length /usr/share/doc/libyui-mga-ncurses/ChangeLog
libyui-mga-ncurses-doc.noarch: E: zero-length /usr/share/doc/libyui-mga-ncurses/ChangeLog
4 packages and 0 specfiles checked; 2 errors, 2 warnings.



Requires
--------
libyui-mga-ncurses (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libncursesw.so.6()(64bit)
    libpanelw.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libtinfo.so.6()(64bit)
    libyui-mga.so.7()(64bit)
    libyui-ncurses.so.7()(64bit)
    libyui.so.7()(64bit)
    rtld(GNU_HASH)

libyui-mga-ncurses-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libyui-devel(x86-64)
    libyui-mga-devel(x86-64)
    libyui-mga-ncurses(x86-64)
    libyui-mga-ncurses.so.7()(64bit)
    libyui-ncurses-devel(x86-64)

libyui-mga-ncurses-debuginfo (rpmlib, GLIBC filtered):

libyui-mga-ncurses-doc (rpmlib, GLIBC filtered):



Provides
--------
libyui-mga-ncurses:
    libyui-mga-ncurses
    libyui-mga-ncurses(x86-64)
    libyui-mga-ncurses.so.7()(64bit)
    yui-mga-ui(x86-64)

libyui-mga-ncurses-devel:
    cmake(Libyui-mga-ncurses)
    libyui-mga-ncurses-devel
    libyui-mga-ncurses-devel(x86-64)
    pkgconfig(libyui-mga-ncurses)

libyui-mga-ncurses-debuginfo:
    libyui-mga-ncurses-debuginfo
    libyui-mga-ncurses-debuginfo(x86-64)

libyui-mga-ncurses-doc:
    libyui-mga-ncurses-doc



Source checksums
----------------
https://github.com/xquiet/libyui-mga-ncurses/archive/026f2e68b204e317dfeacca01ae582c75fbfadb9.tar.gz#/libyui-mga-ncurses-1.0.2-git026f2e6.20131215.tar.gz :
  CHECKSUM(SHA256) this package     : e989a2caa3044b1c31f2b65e66b08fdc8fc69f325f7e502bbec0bb8d8036880b
  CHECKSUM(SHA256) upstream package : e989a2caa3044b1c31f2b65e66b08fdc8fc69f325f7e502bbec0bb8d8036880b


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -v -L rpm_deps_dnfdragora/ -m fedora-rawhide-x86_64 -b 1418872
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Built with local dependencies:
    /home/review/rpm_deps_dnfdragora/libyui-mga-debuginfo-1.0.8-0.1.gita6a160e.20160313.fc26.x86_64.rpm
    /home/review/rpm_deps_dnfdragora/libyui-mga-doc-1.0.8-0.1.gita6a160e.20160313.fc26.noarch.rpm
    /home/review/rpm_deps_dnfdragora/libyui-mga-1.0.8-0.1.gita6a160e.20160313.fc26.x86_64.rpm
    /home/review/rpm_deps_dnfdragora/libyui-mga-devel-1.0.8-0.1.gita6a160e.20160313.fc26.x86_64.rpm

Comment 3 Gwyn Ciesla 2017-02-03 13:24:21 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/libyui-mga-ncurses

Comment 4 Fedora Update System 2017-02-03 14:05:31 UTC
dnfdragora-0.0.0-0.102.git4d872ab.20170202.fc25 libyui-bindings-1.1.1-10.fc25 libyui-mga-1.0.8-0.3.gita6a160e.20160313.fc25 libyui-mga-gtk-1.0.2-0.4.git22f2cf6.20131215.fc25 libyui-mga-ncurses-1.0.2-0.2.git026f2e6.20131215.fc25 libyui-mga-qt-1.0.3-0.2.gitb508e88.20140119.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-02c0aa30f9

Comment 5 Fedora Update System 2017-02-03 23:50:15 UTC
dnfdragora-0.0.0-0.102.git4d872ab.20170202.fc25, libyui-bindings-1.1.1-10.fc25, libyui-mga-1.0.8-0.3.gita6a160e.20160313.fc25, libyui-mga-gtk-1.0.2-0.4.git22f2cf6.20131215.fc25, libyui-mga-ncurses-1.0.2-0.2.git026f2e6.20131215.fc25, libyui-mga-qt-1.0.3-0.2.gitb508e88.20140119.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-02c0aa30f9

Comment 6 Fedora Update System 2017-02-04 17:49:14 UTC
dnfdragora-0.0.0-0.105.git708a8a8.20170204.fc25 libyui-bindings-1.1.1-10.fc25 libyui-mga-1.0.8-0.3.gita6a160e.20160313.fc25 libyui-mga-gtk-1.0.2-0.4.git22f2cf6.20131215.fc25 libyui-mga-ncurses-1.0.2-0.2.git026f2e6.20131215.fc25 libyui-mga-qt-1.0.3-0.2.gitb508e88.20140119.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-02c0aa30f9

Comment 7 Fedora Update System 2017-02-05 02:20:56 UTC
dnfdragora-0.0.0-0.105.git708a8a8.20170204.fc25, libyui-bindings-1.1.1-10.fc25, libyui-mga-1.0.8-0.3.gita6a160e.20160313.fc25, libyui-mga-gtk-1.0.2-0.4.git22f2cf6.20131215.fc25, libyui-mga-ncurses-1.0.2-0.2.git026f2e6.20131215.fc25, libyui-mga-qt-1.0.3-0.2.gitb508e88.20140119.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-02c0aa30f9

Comment 8 Fedora Update System 2017-02-05 20:21:50 UTC
dnfdragora-0.0.0-0.105.git708a8a8.20170204.fc25, libyui-bindings-1.1.1-10.fc25, libyui-mga-1.0.8-0.3.gita6a160e.20160313.fc25, libyui-mga-gtk-1.0.2-0.4.git22f2cf6.20131215.fc25, libyui-mga-ncurses-1.0.2-0.2.git026f2e6.20131215.fc25, libyui-mga-qt-1.0.3-0.2.gitb508e88.20140119.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-04-14 13:05:57 UTC
libyui-3.3.1-1.fc24 libyui-bindings-1.1.2-1.fc24 libyui-gtk-2.44.8-4.fc24 libyui-mga-1.0.8-0.7.gita6a160e.20160313.fc24 libyui-mga-gtk-1.0.2-0.9.git22f2cf6.20131215.fc24 libyui-mga-ncurses-1.0.2-0.8.git026f2e6.20131215.fc24 libyui-mga-qt-1.0.3-0.8.gitb508e88.20140119.fc24 libyui-ncurses-2.48.1-3.fc24 libyui-qt-2.47.1-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9226fb42a0

Comment 10 Fedora Update System 2017-04-14 13:06:16 UTC
libyui-3.3.1-1.fc24 libyui-bindings-1.1.2-1.fc24 libyui-gtk-2.44.8-4.fc24 libyui-mga-1.0.8-0.7.gita6a160e.20160313.fc24 libyui-mga-gtk-1.0.2-0.9.git22f2cf6.20131215.fc24 libyui-mga-ncurses-1.0.2-0.8.git026f2e6.20131215.fc24 libyui-mga-qt-1.0.3-0.8.gitb508e88.20140119.fc24 libyui-ncurses-2.48.1-3.fc24 libyui-qt-2.47.1-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9226fb42a0

Comment 11 Fedora Update System 2017-04-14 23:52:00 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc24, libyui-3.3.1-4.fc24, libyui-bindings-1.1.2-1.fc24, libyui-gtk-2.44.8-4.fc24, libyui-mga-1.0.8-0.7.gita6a160e.20160313.fc24, libyui-mga-gtk-1.0.2-0.9.git22f2cf6.20131215.fc24, libyui-mga-ncurses-1.0.2-0.8.git026f2e6.20131215.fc24, libyui-mga-qt-1.0.3-0.8.gitb508e88.20140119.fc24, libyui-ncurses-2.48.1-3.fc24, libyui-qt-2.47.1-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9226fb42a0

Comment 12 Fedora Update System 2017-04-15 22:48:40 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc24, libyui-3.3.1-4.fc24, libyui-bindings-1.1.2-1.fc24, libyui-gtk-2.44.8-4.fc24, libyui-mga-1.0.8-0.7.gita6a160e.20160313.fc24, libyui-mga-gtk-1.0.2-0.9.git22f2cf6.20131215.fc24, libyui-mga-ncurses-1.0.2-0.8.git026f2e6.20131215.fc24, libyui-mga-qt-1.0.3-0.8.gitb508e88.20140119.fc24, libyui-ncurses-2.48.1-3.fc24, libyui-qt-2.47.1-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.